ActionServletWrapper (Struts Core 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Class ActionServletWrapper

    java.lang.Object
      org.apache.struts.action.ActionServletWrapper

All Implemented Interfaces:
  Serializable

    public class ActionServletWrapper

extends Object
implements Serializable

Provide a wrapper around an `ActionServlet` to expose only those methods needed by other objects. When used with an `ActionForm`, subclasses must be careful that they do not return an object with public getters and setters that could be exploited by automatic population of properties.

Since:
  Struts 1.0.1
Version:
  $Rev: 471754 $ $Date: 2005-05-07 12:11:38 -0400 (Sat, 07 May 2005) $
See Also:
  Serialized Form

Field Summary
`protected ActionServlet` | `servlet` The servlet instance to which we are attached.

Constructor Summary
`ActionServletWrapper(ActionServlet servlet)` Create object and set `servlet` property.

Method Summary
`void` | `setServletFor(MultipartRequestHandler object)` Set servlet to a `MultipartRequestHandler`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### servlet

    protected transient ActionServlet servlet

  The servlet instance to which we are attached.

Constructor Detail

### ActionServletWrapper

    public ActionServletWrapper(ActionServlet servlet)

  Create object and set `servlet` property.

  Parameters:
    `servlet` - `ActionServlet` to wrap

Method Detail

### setServletFor

    public void setServletFor(MultipartRequestHandler object)

  Set servlet to a `MultipartRequestHandler`.

  Parameters:
    `object` - The MultipartRequestHandler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.